
CoCoALib - Slug #1302

Factorization mod p

02 Aug 2019 14:14 - John Abbott

Status: Rejected Start date: 02 Aug 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Improving Estimated time: 0.21 hour

Target version: CoCoALib-0.99650 November 2019 Spent time: 0.20 hour

Description

CoCoALib took longer than expected to factorize x^11009 - 2 modulo 109 (or was it 101?)

Anyway, 11009 = 101*109.

Investigate!

History

#1 - 02 Aug 2019 14:15 - John Abbott

- Description updated

#2 - 02 Aug 2019 22:43 - John Abbott

- Status changed from New to Rejected

- Assignee set to John Abbott

My fault!  The factorization is actually rather fast (since it is mostly a square-free decomposition).  The slow part was elsewhere in my prototype code.

#3 - 10 Oct 2019 18:46 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

#4 - 10 Oct 2019 19:11 - Anna Maria Bigatti

- % Done changed from 0 to 100

#5 - 10 Oct 2019 19:12 - Anna Maria Bigatti

- Estimated time set to 0.21 h
